package org.gcube.vomanagement.usermanagement.model;
/**
 * 
 * @author Massimiliano Assante, CNR-ISTI
 * For gCube Portal Bundle (Site) Custom Attributes keys
 * 
 * use LiferayGroupManager#readCustomAttr method to read them
 *
 */
public enum CustomAttributeKeys {
	MANDATORY("Mandatory"),
	IS_EXTERNAL("Isexternal"),
	URL("Url"),
	POST_NOTIFICATION("Postnotificationviaemail"),
	VIRTUAL_GROUP("Virtualgroup"),
	GATEWAY_SITE_NAME("Gatewayname"),
	GATEWAY_SITE_EMAIL_SENDER("Emailsender");
	
	private String name;
	
	private CustomAttributeKeys(String name) {
		this.name = name;
	}
	
	public String getKeyName() {
		return this.name;
	}
}
